FLIR One Developer / Blog / Topics / android, flironesdk / Problem in importing flironesdk.aar into Android Studio 3.0.1

Problem in importing flironesdk.aar into Android Studio 3.0.1

Home Forums FLIR ONE SDK Development Android development Installation and getting started Problem in importing flironesdk.aar into Android Studio 3.0.1

Tagged: ,

This topic contains 9 replies, has 8 voices, and was last updated by Profile photo of roy roy 7 months, 2 weeks ago.

Viewing 10 posts - 1 through 10 (of 10 total)

  • Author

    Posts

  • #6036

    Profile photo of Charles
    Charles

    Participant

    I am a newbie to FLIR ONE and Android Studio. When I followed the instruction to import the SDK:

    “You must import the flironesdk.aar library file into your Android Studio project. This is most easily done in a 2 step process:
    1. Use “Import .JAR or .AAR Package” wizard (via File→New→New Module) and select the flironesdk.aar”

    My Android Studio 3.0.1 keeps telling me that the AAR file does not exist (which it does according to my Windows OS).

    What did I miss?

    • This topic was modified 1 year, 9 months ago by Profile photo of Charles Charles.

    #6038

    Profile photo of Charles
    Charles

    Participant

    Update: After updating a plugin in the Studio, it works now.

    #6095

    Profile photo of wooseong
    wooseong

    Participant

    what did you update?

    #6262

    Profile photo of Javier
    Javier

    Participant

    I have same problem, please which is the solution?

    #7259

    Profile photo of Ting-yi
    Ting-yi

    Participant

    I have the same problem with my Android Studio 3.1.3.
    And I follow the tutorial to apply the latest version of the Android plugin.
    To manually update your project, change the plugin version in your project-level build.gradle file as follows:

    buildscript {
        repositories {
            ...
            // You need to add the following repository to download the
            // new plugin.
            google()
        }
    
        dependencies {
            classpath 'com.android.tools.build:gradle:3.1.0'
        }
    }

    And it works!

    #7330

    Profile photo of Charles
    Charles

    Participant

    I posted this problem about six months ago and went on to do something else. I am now back to my project on FLIR ONE. If you use the latest Android Studio (3.1.3) and started with the example provided by FLIR, you should not have this problem.

    Hope this helps.

    #7556

    Profile photo of Neeta
    Neeta

    Participant

    I am new to FLIR SDK and trying to import the .AAR file to the project but the second step in the getting started guide doesn’t work for me. The add Module dependency window comes empty. I am using Android 3.1.4.

    #7562

    Profile photo of Allison
    Allison

    Moderator

    Hi Neeta,

    Are you working with the example app or a completely new project?

    If it’s a new project I would try editing the dependencies in the build.gradle file for the app module. The example app is a good example to follow for this.

    dependencies {
        implementation fileTree(dir: 'libs', include: ['*.jar'])
        implementation project(':flironesdk')

    should help with including the sdk module.

    Thank you,
    Allison Torchia

    #7814

    Profile photo of Tom
    Tom

    Participant

    Hi, Ting-yi… Thanks for updating… 🙂 It’s helpful.
    I have the same problem with my Android Studio 3.1.3.
    And I follow the tutorial to apply the latest version of the Android plugintv.
    To manually update your project, change the plugin version in your project-level build.gradle file as follows:

    buildscript {
        repositories {
            ...
            // You need to add the following repository to download the
            // new plugin.
            google()
        }
    
        dependencies {
            classpath 'com.android.tools.build:gradle:3.1.0'
        }
    }

    And it works!

    #8388

    Profile photo of roy
    roy

    Participant

    Hi,
    I encountered the same problem while trying to open a new project, and the tips above didn’t work for me. any other advice ?

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.